package com.unipi.talepis.bscsofteng2024_6;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class AppController {
    @Autowired
    private JavaVersionRepository repository;
    @GetMapping("/versionList")
    public List<JavaVersion> getAll(){
        return repository.findAll();
    }
    @PostMapping("/newVersion")
    public JavaVersion addRecord(@RequestBody JavaVersion version){
        return repository.save(version);
    }
    @DeleteMapping("/delete/{id}")
    public void deleteRecord(@PathVariable Integer id){
        repository.deleteById(id);
    }
    //@PutMapping //for homework
    //@GetMapping("findone/{versionName}") //for homework

}
